package com.skybeacon.sdk;

import com.skybeacon.sdk.config.SKYBeaconConfigException;

/**
 * SeekcyBeacon配置结果回调函数
 * 
 * @author frank
 * 
 */
public interface ConfigCallback {
	/**
	 * 配置成功回调函数
	 */
	public void onConfigSuccess();

	/**
	 * 配置失败回调函数
	 * 
	 * @param skyBeaconConfigException
	 */
	public void onConfigFailed(SKYBeaconConfigException skyBeaconConfigException);
}
