package com.skybeacon.sdk.locate;

import android.content.Context;
import android.os.Environment;

public class PublicStaticValues {
	// 文件跟目录
	public static String FILE_ROOT = Environment.getExternalStorageDirectory() + "/Seekcy/";
	// 定位数据目录
	public static String FILE_LOCATE_DATAS_DERECTORY = "/LocateDatas/";
	// 定位解算数据目录
	public static String FILE_INDOOR_LOCATION_DATAS_DERECTORY = "/IndoorLocation/";
	// 建筑物判断数据目录
	public static String FILE_BUILD_JUDGEMENT_DATAS_DERECTORY = "/BuildJudgement/";
	// logs目录
	public static String FILE_LOGS_DERECTORY = "/Logs//";
	// 下载临时目录
	public static String FILE_DOWNLOAD_TMP_DERECTORY = "/Download/";

	public static boolean isCN = false;

	public static void init(Context context) {
		// 获取当前语言
		if (context.getResources().getConfiguration().locale.getCountry().equals("CN") || context.getResources().getConfiguration().locale.getCountry().equals("TW")) {
			isCN = true;
		}
	}
}
