package com.skybeacon.sdk.config;

/**
 * 广播id的枚举
 * 
 * @author frank
 * 
 */
public enum SKYBeaconBroadcastID {

	BROADCAST_ID_FALSE(-1), BROADCAST_ID_1(1), BROADCAST_ID_2(2), BROADCAST_ID_3(
			3);

	// 定义私有变量
	private int eCode;

	/**
	 * 构造函数，枚举类型只能为私有
	 * 
	 * @param eCode
	 */
	private SKYBeaconBroadcastID(int eCode) {
		this.eCode = eCode;
	}

	@Override
	public String toString() {
		return String.valueOf(this.eCode);
	}

	public static int getInt(SKYBeaconBroadcastID skyBeaconBroadcastID) {
		int result = -1;
		if (skyBeaconBroadcastID == BROADCAST_ID_FALSE) {
			result = -1;
		} else if (skyBeaconBroadcastID == BROADCAST_ID_1) {
			result = 1;
		} else if (skyBeaconBroadcastID == BROADCAST_ID_2) {
			result = 2;
		} else if (skyBeaconBroadcastID == BROADCAST_ID_3) {
			result = 3;
		}
		return result;
	}

	public static SKYBeaconBroadcastID getBroadcastID(int broadcastID) {
		SKYBeaconBroadcastID skyBeaconBroadcastID = BROADCAST_ID_FALSE;
		if (broadcastID == 1) {
			skyBeaconBroadcastID = BROADCAST_ID_1;
		} else if (broadcastID == 2) {
			skyBeaconBroadcastID = BROADCAST_ID_2;
		} else if (broadcastID == 3) {
			skyBeaconBroadcastID = BROADCAST_ID_3;
		}
		return skyBeaconBroadcastID;
	}
}
